{#
/**
 * @file
 * Theme override to display a node.
 *
 * Available variables:
 * - node: The node entity with limited access to object properties and methods.
     Only "getter" methods (method names starting with "get", "has", or "is")
     and a few common methods such as "id" and "label" are available. Calling
     other methods (such as node.delete) will result in an exception.
 * - label: The title of the node.
 * - content: All node items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - author_picture: The node author user entity, rendered using the "compact"
 *   view mode.
 * - metadata: Metadata for this node.
 * - date: 24 Agustus 2020
 * - author_name: Aditya Dewantara
 * - url: /artikel/%
 * - display_submitted: Whether submission information should be displayed.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - node: The current template type (also known as a "theming hook").
 *   - node--type-[type]: The current node type. For example, if the node is an
 *     "Article" it would result in "node--type-article". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node--view-mode-[view_mode]: The View Mode of the node; for example, a
 *     teaser would result in: "node--view-mode-teaser", and
 *     full: "node--view-mode-full".
 *   The following are controlled through the node publishing options.
 *   - node--promoted: Appears on nodes promoted to the front page.
 *   - node--sticky: Appears on nodes ordered above other non-sticky nodes in
 *     teaser listings.
 *   - node--unpublished: Appears on unpublished nodes visible only to site
 *     admins.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - content_attributes: Same as attributes, except applied to the main
 *   content tag that appears in the template.
 * - author_attributes: Same as attributes, except applied to the author of
 *   the node tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - view_mode: View mode; for example, "teaser" or "full".
 * - teaser: Flag for the teaser state. Will be true if view_mode is 'teaser'.
 * - page: Flag for the full page state. Will be true if view_mode is 'full'.
 * - readmore: Flag for more state. Will be true if the teaser content of the
 *   node cannot hold the main body content.
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_node()
 */
#}
<style>
.accordion-faq h3 button {
background: #E3F5FF;
color: #0038aa !important;
font-weight: bold;
}
.accordion-faq h3 button[aria-expanded="true"] {
color: white !important;
background: #10A6ED;
}
</style>
<div class="lct__faq">
    <section class="lct__faq--detail">
        <div class="row m-0">
            <div class="col-sm-12 col-lg-6 lct__faq--detail-left py-5">
                <div class="container position-relative" style="width: 105%">
                    <div class="lct__faq--detail-inner_wrapper pt-5">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item">
                                    <a href="/" class="font-bold text-white text-decoration-none">Home</a>
                                </li>
                                <li class="breadcrumb-item">
                                    <a href="/faq" class="font-bold text-white text-decoration-none">FAQ</a>
                                </li>
                                <li class="breadcrumb-item">
                                    <a href="#" class="font-bold text-white text-decoration-none">{{faq.title}}</a>
                                </li>
                            </ol>
                        </nav>
                        <h1 class="font-bold text-white d-block d-lg-none">{{faq.title}}</h1>
                        <div class="lct__faq--detail-body align-items-center d-none d-lg-flex">
                            <div>
                                <h2 class="h1 font-bold text-white">{{faq.title}}</h2>
                                {{faq.body | raw}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-12 d-block d-lg-none pt-4">
                {{faq.body | raw}}
            </div>
            <div class="col-sm-12 col-lg-6 lct__faq--detail-right pt-5">
                <div class="container" style="width: 105%">
                    <div class="lct__faq--detail-inner_wrapper pt-5">
                        <ul class="nav nav-pills mb-4" id="pills-tab" role="tablist">
                            <li class="nav-item" role="presentation">
                                <a class="nav-link font-weight-bold m-0 active" id="pills-cara-gabung-tab" data-toggle="pill" href="#pills-cara-gabung" role="tab"
                                    aria-controls="pills-cara-gabung" aria-selected="true">Cara <br class="d-block d-md-none"> Gabung</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link font-weight-bold m-0" id="pills-syarat-dan-ketentuan-tab" data-toggle="pill" href="#pills-syarat-dan-ketentuan" role="tab"
                                    aria-controls="pills-syarat-dan-ketentuan" aria-selected="false">Syarat & Ketentuan</a>
                            </li>
                            <li class="nav-item" role="presentation">
                                <a class="nav-link font-weight-bold m-0" id="pills-pertanyaan-tab" data-toggle="pill" href="#pills-pertanyaan" role="tab"
                                    aria-controls="pills-pertanyaan" aria-selected="false">Pertanyaan</a>
                            </li>
                        </ul>

                        <div class="tab-content" id="pills-tabContent">
                            <div class="tab-pane fade show active" id="pills-cara-gabung" role="tabpanel" aria-labelledby="pills-cara-gabung-tab">
                                {{faq.cara_gabung[0]['value'] | raw}}
                                <div class="lct__faq--detail-cara_gabung">
                                    <div class="lct__faq--detail-cara_gabung--swiper_container swiper-container">
                                        <div class="lct__faq--detail-cara_gabung--swiper_wrapper swiper-wrapper">
                                        {% for key, gambar_cara_gabung in faq.list_gambar_cara_gabung %}
                                            <div class="lct__faq--detail-cara_gabung--swiper_slide swiper-slide text-center">
                                                <div class="slide_number">{{ key + 1 }}</div>
                                                <h3 class="text-primary">{{ gambar_cara_gabung.title }}</h3>
                                                <p class="text-primary">{{ gambar_cara_gabung.alt }}</p>
                                                <img class="image-slide" src="{{gambar_cara_gabung.url}}" class="card-img-top" alt="{{ gambar_cara_gabung.alt }}">
                                            </div>
                                        {% endfor %}
                                        </div>
                                        <div class="lct__faq--detail-cara_gabung--swiper_button_next swiper-button-next d-flex d-md-none"></div>
                                        <div class="lct__faq--detail-cara_gabung--swiper_button_prev swiper-button-prev d-flex d-md-none"></div>
                                        <div class="lct__faq--detail-cara_gabung--swiper_pagination swiper-pagination"></div>
                                    </div>
                                    <div class="row justify-content-center mt-4">
                                        <div class="col-12 col-lg-6">
                                            <a href="/club" class="btn btn-primary blue-gradient px-5 text-uppercase w-100 font-bold">Tukar Rewards</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="pills-syarat-dan-ketentuan" role="tabpanel" aria-labelledby="pills-syarat-dan-ketentuan-tab">
                                {{faq.desc_syarat_ketentuan[0]['value'] | raw}}
                                <div class="accordion accordion-faq mb-5" id="faq-syarat-ketentuan">
                                    {% for key, sk in faq.list_syarat_dan_ketentuan %}
                                        <div class="card">
                                            <div class="card-header p-0" id="headingSK-{{key}}">
                                                <h3 class="mb-2 p-1">
                                                    <button
                                                        class="btn btn-block text-left  text-white rounded-pill position-relative pl-4 pr-5 collapsed"
                                                        type="button" data-toggle="collapse" data-target="#collapseSK-{{key}}" aria-expanded="{{key <= 0 ? 'true' : 'false'}}"
                                                        aria-controls="collapseSK-{{key}}">
                                                        {{ sk.title }}
                                                    </button>
                                                </h3>
                                            </div>

                                            <div id="collapseSK-{{key}}" class="collapse {{key <= 0 ? 'show' : ''}}" aria-labelledby="headingSK-{{key}}" data-parent="#faq-syarat-ketentuan">
                                                <div class="card-body text-justify">
                                                    {% if sk.desc|length > 1 %}
                                                        <ol style="padding-inline-start: 1rem;">
                                                            {% for k, skd in sk.desc %}
                                                                <li class="mb-3">
                                                                    {{ skd }}
                                                                </li>
                                                            {% endfor %}
                                                        </ol>
                                                    {% else %}
                                                        {% for k, skd in sk.desc %}
                                                            <p>
                                                                {{ skd }}
                                                            </p>
                                                        {% endfor %}
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                    {% endfor %}
                                </div>
                            </div>
                            <div class="tab-pane fade" id="pills-pertanyaan" role="tabpanel" aria-labelledby="pills-pertanyaan-tab">
                                {{faq.desc_pertanyaan[0]['value'] | raw}}
                                <div class="accordion accordion-faq mb-5" id="faq-pertanyaan">
                                    {% for key, pertanyaan in faq.list_pertanyaan %}
                                        <div class="card">
                                            <div class="card-header p-0" id="headingPertanyaan-{{key}}">
                                                <h3 class="mb-2 p-1">
                                                    <button
                                                        class="btn btn-block text-left  text-white rounded-pill position-relative pl-4 pr-5 collapsed"
                                                        type="button" data-toggle="collapse" data-target="#collapsePertanyaan-{{key}}" aria-expanded="{{key <= 0 ? 'true' : 'false'}}"
                                                        aria-controls="collapsePertanyaan-{{key}}">
                                                        {{ pertanyaan.title }}
                                                    </button>
                                                </h3>
                                            </div>

                                            <div id="collapsePertanyaan-{{key}}" class="collapse {{key <= 0 ? 'show' : ''}}" aria-labelledby="headingPertanyaan-{{key}}" data-parent="#faq-syarat-ketentuan">
                                                <div class="card-body text-justify">
                                                    {% if pertanyaan.desc|length > 1 %}
                                                        <ol style="padding-inline-start: 1rem;">
                                                            {% for k, dp in pertanyaan.desc %}
                                                                <li class="mb-3">
                                                                    {{ dp }}
                                                                </li>
                                                            {% endfor %}
                                                        </ol>
                                                    {% else %}
                                                        {% for k, dp in pertanyaan.desc %}
                                                            <p>
                                                                {{ dp }}
                                                            </p>
                                                        {% endfor %}
                                                    {% endif %}
                                                </div>
                                            </div>
                                        </div>
                                    {% endfor %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            <div>
        <div>
    </section>
</div>
